classification
Title: Obsolete comments in docstrings in fractions module
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, jakub.molinski, mark.dickinson, rhettinger
Priority: normal Keywords: patch

Created on 2019-04-13 22:58 by jakub.molinski, last changed 2019-04-15 12:38 by mark.dickinson. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12822 merged jakub.molinski, 2019-04-13 23:14
Messages (3)
msg340174 - (view) Author: Jakub Moliński (jakub.molinski) * Date: 2019-04-13 22:58
3 docstrings in fractions.Fraction contain comments referring to python 3.0. 

def __floor__(a):
    """Will be math.floor(a) in 3.0."""

def __ceil__(a):
    """Will be math.ceil(a) in 3.0."""

def __round__(self, ndigits=None):
    """Will be round(self, ndigits) in 3.0.

    Rounds half toward even.
    """


To make it consistent with other docstrings in the module these should be changed to """math.floor(a)""", """math.ceil(a)""", and 
    """round(self, ndigits)

    Rounds half toward even.
    """
msg340196 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2019-04-14 08:33
Agreed that these should be fixed.
msg340269 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2019-04-15 12:37
New changeset a9a28808e5a03d2e68e421227c113a38edc40946 by Mark Dickinson (Jakub Molinski) in branch 'master':
bpo-36625: Remove obsolete comments from docstrings in fractions module (GH-12822)
https://github.com/python/cpython/commit/a9a28808e5a03d2e68e421227c113a38edc40946
History
Date User Action Args
2019-04-15 12:38:17mark.dickinsonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-04-15 12:37:12mark.dickinsonsetmessages: + msg340269
2019-04-14 08:33:57mark.dickinsonsetmessages: + msg340196
2019-04-13 23:14:47jakub.molinskisetkeywords: + patch
stage: patch review
pull_requests: + pull_request12747
2019-04-13 23:08:55cheryl.sabellasetnosy: + rhettinger, mark.dickinson
2019-04-13 22:58:43jakub.molinskicreate